<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Sun Jun 10 11:40:17 CEST 2007 -->
<TITLE>
Class Hierarchy
</TITLE>

<META NAME="date" CONTENT="2007-06-10">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Class Hierarchy";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="javasciplugin/package-tree.html">javasciplugin</A>, <A HREF="javasciplugin/console/package-tree.html">javasciplugin.console</A>, <A HREF="javasciplugin/fileBrowser/package-tree.html">javasciplugin.fileBrowser</A>, <A HREF="javasciplugin/history/package-tree.html">javasciplugin.history</A>, <A HREF="javasciplugin/plot/package-tree.html">javasciplugin.plot</A>, <A HREF="javasciplugin/workspace/package-tree.html">javasciplugin.workspace</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/ElementFactory.html" title="class in javasciplugin"><B>ElementFactory</B></A> (implements org.eclipse.ui.IElementFactory)
<LI TYPE="circle">org.eclipse.core.commands.common.EventManager<UL>
<LI TYPE="circle">org.eclipse.ui.part.WorkbenchPart (implements org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.part.IWorkbenchPartOrientation)
<UL>
<LI TYPE="circle">org.eclipse.ui.part.EditorPart (implements org.eclipse.ui.IEditorPart)
<UL>
<LI TYPE="circle">javasciplugin.console.<A HREF="javasciplugin/console/SciConsole.html" title="class in javasciplugin.console"><B>SciConsole</B></A></UL>
<LI TYPE="circle">org.eclipse.ui.part.ViewPart (implements org.eclipse.ui.IViewPart)
<UL>
<LI TYPE="circle">javasciplugin.fileBrowser.<A HREF="javasciplugin/fileBrowser/SciFileBrowser.html" title="class in javasciplugin.fileBrowser"><B>SciFileBrowser</B></A><LI TYPE="circle">javasciplugin.history.<A HREF="javasciplugin/history/SciHistory.html" title="class in javasciplugin.history"><B>SciHistory</B></A><LI TYPE="circle">javasciplugin.workspace.<A HREF="javasciplugin/workspace/SciWorkspace.html" title="class in javasciplugin.workspace"><B>SciWorkspace</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/JavaSciWrapper.html" title="class in javasciplugin"><B>JavaSciWrapper</B></A><LI TYPE="circle">javasciplugin.console.<A HREF="javasciplugin/console/myEditorInput.html" title="class in javasciplugin.console"><B>myEditorInput</B></A> (implements org.eclipse.ui.IEditorInput)
<LI TYPE="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<UL>
<LI TYPE="circle">org.eclipse.ui.plugin.AbstractUIPlugin<UL>
<LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/Activator.html" title="class in javasciplugin"><B>Activator</B></A></UL>
</UL>
<LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/SciPerspectiveFactory.html" title="class in javasciplugin"><B>SciPerspectiveFactory</B></A> (implements org.eclipse.ui.IPerspectiveFactory)
<LI TYPE="circle">java.lang.Thread (implements java.lang.Runnable)
<UL>
<LI TYPE="circle">javasciplugin.plot.<A HREF="javasciplugin/plot/Plot.html" title="class in javasciplugin.plot"><B>Plot</B></A></UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Widget<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Control (implements org.eclipse.swt.graphics.Drawable)
<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Scrollable<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Composite<UL>
<LI TYPE="circle">javasciplugin.console.<A HREF="javasciplugin/console/ConsoleWidget.html" title="class in javasciplugin.console"><B>ConsoleWidget</B></A> (implements javasciplugin.<A HREF="javasciplugin/WrapperReceiver.html" title="interface in javasciplugin">WrapperReceiver</A>)
<LI TYPE="circle">javasciplugin.fileBrowser.<A HREF="javasciplugin/fileBrowser/FileBrowserWidget.html" title="class in javasciplugin.fileBrowser"><B>FileBrowserWidget</B></A><LI TYPE="circle">javasciplugin.history.<A HREF="javasciplugin/history/HistoryWidget.html" title="class in javasciplugin.history"><B>HistoryWidget</B></A> (implements javasciplugin.<A HREF="javasciplugin/Observer.html" title="interface in javasciplugin">Observer</A>, javasciplugin.<A HREF="javasciplugin/WrapperReceiver.html" title="interface in javasciplugin">WrapperReceiver</A>)
<LI TYPE="circle">javasciplugin.workspace.<A HREF="javasciplugin/workspace/WorkspaceWidget.html" title="class in javasciplugin.workspace"><B>WorkspaceWidget</B></A> (implements javasciplugin.<A HREF="javasciplugin/Observer.html" title="interface in javasciplugin">Observer</A>, javasciplugin.<A HREF="javasciplugin/WrapperReceiver.html" title="interface in javasciplugin">WrapperReceiver</A>)
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/Observer.html" title="interface in javasciplugin"><B>Observer</B></A><LI TYPE="circle">javasciplugin.<A HREF="javasciplugin/WrapperReceiver.html" title="interface in javasciplugin"><B>WrapperReceiver</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
